<template>
    <thead>
        <tr>
            <th 
                scope="col"
                class="cursor text-center custom_width_20"
                v-for="(item, index) in items" 
                :key="index"
                @click="valueSort(item.id)"
            >
                {{item.name}}
                <span v-if="item.sort">&#8595;</span>
                <span v-else>&#8593;</span>
            </th>
            <th class="invisible">X</th>
        </tr>
    </thead>
</template>

<script>
export default {
    name:'HeadTable',
    flagSort: false,
    props: {
        items: {
            type: Array,
            required: true
        }
    },
    methods: {
        valueSort(id){
            
            this.$emit('clickSort', id);
        },
    }
}
</script>

<style scoped>
.cursor{
cursor: pointer;
}
.custom_width_20{
    width: 20%;
} 
</style>